xcb_input_get_extension_version(3)

NAME
xcb_input_get_extension_version -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_input_get_extension_version_cookie_t xcb_input_get_extension_version(xcb_connection_t *conn, uint16_t name_len, const char *name);

  Reply datastructure

typedef struct xcb_input_get_extension_version_reply_t {
    uint8_t  response_type;
    uint8_t  xi_reply_type;
    uint16_t sequence;
    uint32_t length;
    uint16_t server_major;
    uint16_t server_minor;
    uint8_t  present;
    uint8_t  pad0[19];
} xcb_input_get_extension_version_reply_t;

  Reply function

xcb_input_get_extension_version_reply_t *xcb_input_get_extension_version_reply(xcb_connection_t *conn, xcb_input_get_extension_version_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

name_len
    TODO: NOT YET DOCUMENTED.

name
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_INPUT_GET_EXTENSION_VERSION. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

xi_reply_type
    TODO: NOT YET DOCUMENTED.

server_major
    TODO: NOT YET DOCUMENTED.

server_minor
    TODO: NOT YET DOCUMENTED.

present
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_input_get_extension_version_cookie_t. Errors have to be handled when calling the reply function xcb_input_get_extension_version_reply. If you want to handle errors in the event loop instead, use xcb_input_get_extension_version_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.